﻿using ComPDFKit.Compare;
using ComPDFKit.PDFDocument;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace DocumentCompareTest
{
    internal class DocumentCompare
    {
        static private string outputPath = Path.GetDirectoryName(Path.GetDirectoryName(Path.GetDirectoryName(System.IO.Directory.GetCurrentDirectory()))) + "\\Output\\DocumentCompare";

        static void Main(string[] args)
        {
            Console.WriteLine("Running PDFPage test sample…\r\n");

            SDKLicenseHelper.LicenseVerify();
            CPDFDocument document1 = CPDFDocument.InitWithFilePath("ElectricalDiagram.pdf");
            CPDFDocument document2 = CPDFDocument.InitWithFilePath("ElectricalDiagram_New.pdf");

            if (!Directory.Exists(outputPath))
            {
                Directory.CreateDirectory(outputPath);
            }

            if (CompareDocument(document1, document2))
            {
                Console.WriteLine("Compare document done.");
            }
            else
            {
                Console.WriteLine("Compare document failed."); 
            }
            Console.WriteLine("--------------------");
            Console.WriteLine("Done!");
            Console.WriteLine("--------------------");
            Console.ReadLine();
        }

        static private bool CompareDocument(CPDFDocument document1, CPDFDocument document2)
        {
            CPDFCompareOverlay compareOverlay = new CPDFCompareOverlay(document1, "1-5", document2, "1-5");
            compareOverlay.Compare();
            CPDFDocument comparisonDocument = compareOverlay.ComparisonDocument();
            string path = outputPath + "\\CompareDocumentTest.pdf";
            if (!comparisonDocument.WriteToFilePath(path))
            {
                return false;
            }
            Console.WriteLine("Browse the changed file in " + path);
            return true;
        }
    }
}
